FIX::MessageStoreExceptionWrapper Class Reference

`#include <MessageStore.h>`

Collaboration diagram for FIX::MessageStoreExceptionWrapper:
[legend]

## Public Member Functions

| MessageStoreExceptionWrapper (MessageStore *pStore)
| ~MessageStoreExceptionWrapper ()
bool | set (int, const std::string &, bool &, IOException &)
void | get (int, int, std::vector< std::string > &, bool &, IOException &) const
int | getNextSenderMsgSeqNum (bool &, IOException &) const
int | getNextTargetMsgSeqNum (bool &, IOException &) const
void | setNextSenderMsgSeqNum (int, bool &, IOException &)
void | setNextTargetMsgSeqNum (int, bool &, IOException &)
void | incrNextSenderMsgSeqNum (bool &, IOException &)
void | incrNextTargetMsgSeqNum (bool &, IOException &)
UtcTimeStamp | getCreationTime (bool &, IOException &)
void | reset (bool &, IOException &)
void | refresh (bool &, IOException &)

## Private Attributes

MessageStore * | m_pStore

## Detailed Description

Definition at line 167 of file MessageStore.h.

## Constructor & Destructor Documentation

## MessageStoreExceptionWrapper()

FIX::MessageStoreExceptionWrapper::MessageStoreExceptionWrapper | ( | MessageStore * | pStore | ) |

inline

Definition at line 172 of file MessageStore.h.

## ~MessageStoreExceptionWrapper()

FIX::MessageStoreExceptionWrapper::~MessageStoreExceptionWrapper | ( |  | ) |

inline

Definition at line 173 of file MessageStore.h.

## Member Function Documentation

## get()

void FIX::MessageStoreExceptionWrapper::get | ( | int | begin,
|  | int | end,
|  | std::vector< std::string > & | msgs,
|  | bool & | threw,
|  | IOException & | ex
| ) |  | const

Definition at line 93 of file MessageStore.cpp.

{ return m_pStore->getNextTargetMsgSeqNum(); }
catch ( IOException & e ) { threw = true; ex = e; return 0; }
}
void MessageStoreExceptionWrapper::setNextSenderMsgSeqNum( int num, bool& threw, IOException& ex )
{

References FIX::MessageStore::getNextTargetMsgSeqNum(), and m_pStore.

## getCreationTime()

UtcTimeStamp FIX::MessageStoreExceptionWrapper::getCreationTime | ( | bool & | threw,
|  | IOException & | ex
| ) |  |

Definition at line 142 of file MessageStore.cpp.

{ m_pStore->refresh(); }
catch ( IOException & e ) { threw = true; ex = e; }
}
} //namespace FIX

References m_pStore, and FIX::MessageStore::refresh().

## getNextSenderMsgSeqNum()

int FIX::MessageStoreExceptionWrapper::getNextSenderMsgSeqNum | ( | bool & | threw,
|  | IOException & | ex
| ) |  | const

Definition at line 100 of file MessageStore.cpp.

{ m_pStore->setNextSenderMsgSeqNum( num ); }
catch ( IOException & e ) { threw = true; ex = e; }
}
void MessageStoreExceptionWrapper::setNextTargetMsgSeqNum( int num, bool& threw, IOException& ex )
{

References m_pStore, and FIX::MessageStore::setNextSenderMsgSeqNum().

## getNextTargetMsgSeqNum()

int FIX::MessageStoreExceptionWrapper::getNextTargetMsgSeqNum | ( | bool & | threw,
|  | IOException & | ex
| ) |  | const

Definition at line 107 of file MessageStore.cpp.

{ m_pStore->setNextTargetMsgSeqNum( num ); }
catch ( IOException & e ) { threw = true; ex = e; }
}
void MessageStoreExceptionWrapper::incrNextSenderMsgSeqNum( bool& threw, IOException& ex )
{

References m_pStore, and FIX::MessageStore::setNextTargetMsgSeqNum().

## incrNextSenderMsgSeqNum()

void FIX::MessageStoreExceptionWrapper::incrNextSenderMsgSeqNum | ( | bool & | threw,
|  | IOException & | ex
| ) |  |

Definition at line 128 of file MessageStore.cpp.

{ return m_pStore->getCreationTime(); }
catch ( IOException & e ) { threw = true; ex = e; return UtcTimeStamp(); }
}
void MessageStoreExceptionWrapper::reset( bool& threw, IOException& ex )
{

References FIX::MessageStore::getCreationTime(), and m_pStore.

## incrNextTargetMsgSeqNum()

void FIX::MessageStoreExceptionWrapper::incrNextTargetMsgSeqNum | ( | bool & | threw,
|  | IOException & | ex
| ) |  |

Definition at line 135 of file MessageStore.cpp.

{ m_pStore->reset(); }
catch ( IOException & e ) { threw = true; ex = e; }
}
void MessageStoreExceptionWrapper::refresh( bool& threw, IOException& ex )
{

References m_pStore, and FIX::MessageStore::reset().

## refresh()

void FIX::MessageStoreExceptionWrapper::refresh | ( | bool & | threw,
|  | IOException & | ex
| ) |  |

Definition at line 156 of file MessageStore.cpp.

## reset()

void FIX::MessageStoreExceptionWrapper::reset | ( | bool & | threw,
|  | IOException & | ex
| ) |  |

Definition at line 149 of file MessageStore.cpp.

## set()

bool FIX::MessageStoreExceptionWrapper::set | ( | int | num,
|  | const std::string & | msg,
|  | bool & | threw,
|  | IOException & | ex
| ) |  |

Definition at line 86 of file MessageStore.cpp.

{ return m_pStore->getNextSenderMsgSeqNum(); }
catch ( IOException & e ) { threw = true; ex = e; return 0; }
}
int MessageStoreExceptionWrapper::getNextTargetMsgSeqNum( bool& threw, IOException& ex ) const
{

References FIX::MessageStore::getNextSenderMsgSeqNum(), and m_pStore.

## setNextSenderMsgSeqNum()

void FIX::MessageStoreExceptionWrapper::setNextSenderMsgSeqNum | ( | int | num,
|  | bool & | threw,
|  | IOException & | ex
| ) |  |

Definition at line 114 of file MessageStore.cpp.

{ m_pStore->incrNextSenderMsgSeqNum(); }
catch ( IOException & e ) { threw = true; ex = e; }
}
void MessageStoreExceptionWrapper::incrNextTargetMsgSeqNum( bool& threw, IOException& ex )
{

References FIX::MessageStore::incrNextSenderMsgSeqNum(), and m_pStore.

## setNextTargetMsgSeqNum()

void FIX::MessageStoreExceptionWrapper::setNextTargetMsgSeqNum | ( | int | num,
|  | bool & | threw,
|  | IOException & | ex
| ) |  |

Definition at line 121 of file MessageStore.cpp.

{ m_pStore->incrNextTargetMsgSeqNum(); }
catch ( IOException & e ) { threw = true; ex = e; }
}
UtcTimeStamp MessageStoreExceptionWrapper::getCreationTime( bool& threw, IOException& ex )
{

References FIX::MessageStore::incrNextTargetMsgSeqNum(), and m_pStore.

## Member Data Documentation

## m_pStore

MessageStore* FIX::MessageStoreExceptionWrapper::m_pStore

private

Definition at line 170 of file MessageStore.h.

Referenced by get(), getCreationTime(), getNextSenderMsgSeqNum(), getNextTargetMsgSeqNum(), incrNextSenderMsgSeqNum(), incrNextTargetMsgSeqNum(), set(), setNextSenderMsgSeqNum(), and setNextTargetMsgSeqNum().

The documentation for this class was generated from the following files:

- MessageStore.h
- MessageStore.cpp

FIX::MessageStoreExceptionWrapper::m_pStore
MessageStore * m_pStore
Definition: MessageStore.h:170
FIX::MessageStoreExceptionWrapper::reset
void reset(bool &, IOException &)
Definition: MessageStore.cpp:149
FIX::MessageStoreExceptionWrapper::setNextSenderMsgSeqNum
void setNextSenderMsgSeqNum(int, bool &, IOException &)
Definition: MessageStore.cpp:114
FIX::MessageStoreExceptionWrapper::getNextTargetMsgSeqNum
int getNextTargetMsgSeqNum(bool &, IOException &) const
Definition: MessageStore.cpp:107
FIX::MessageStore::getCreationTime
virtual UtcTimeStamp getCreationTime() const =0
FIX::MessageStore::incrNextSenderMsgSeqNum
virtual void incrNextSenderMsgSeqNum()=0
FIX::MessageStoreExceptionWrapper::incrNextSenderMsgSeqNum
void incrNextSenderMsgSeqNum(bool &, IOException &)
Definition: MessageStore.cpp:128
FIX::MessageStore::incrNextTargetMsgSeqNum
virtual void incrNextTargetMsgSeqNum()=0
FIX::TYPE::UtcTimeStamp
@ UtcTimeStamp
Definition: FieldTypes.h:940
FIX::MessageStoreExceptionWrapper::incrNextTargetMsgSeqNum
void incrNextTargetMsgSeqNum(bool &, IOException &)
Definition: MessageStore.cpp:135
FIX::MessageStore::reset
virtual void reset()=0
FIX::MessageStore::setNextTargetMsgSeqNum
virtual void setNextTargetMsgSeqNum(int)=0
FIX::MessageStore::refresh
virtual void refresh()=0
FIX::MessageStoreExceptionWrapper::setNextTargetMsgSeqNum
void setNextTargetMsgSeqNum(int, bool &, IOException &)
Definition: MessageStore.cpp:121
FIX::MessageStoreExceptionWrapper::refresh
void refresh(bool &, IOException &)
Definition: MessageStore.cpp:156
FIX::MessageStore::getNextSenderMsgSeqNum
virtual int getNextSenderMsgSeqNum() const =0
FIX::MessageStoreExceptionWrapper::getCreationTime
UtcTimeStamp getCreationTime(bool &, IOException &)
Definition: MessageStore.cpp:142
FIX::MessageStore::getNextTargetMsgSeqNum
virtual int getNextTargetMsgSeqNum() const =0
FIX::MessageStore::setNextSenderMsgSeqNum
virtual void setNextSenderMsgSeqNum(int)=0